package eu.mhsl.craftattack.spawn.util.server;

import eu.mhsl.craftattack.spawn.config.Configuration;

import java.net.URI;
import java.util.Objects;

public class ApiUtil {
    private static URI whitelistEndpoint;
    private static URI reportEndpoint;
    private static String baseUrl;
    private static String apiSecret;

    public static String getApiSecret() {
        if(apiSecret == null) {
            apiSecret = Objects.requireNonNull(Configuration.cfg.getConfigurationSection("api")).getString("secret");
        }
        return apiSecret;
    }

    public static String getBaseUrl() {
        if(baseUrl == null) {
            baseUrl = Objects.requireNonNull(Configuration.cfg.getConfigurationSection("api")).getString("baseurl");
        }
        return baseUrl;
    }

    public static URI getWhitelistEndpoint() {
        if(whitelistEndpoint == null) {
            String configValue = Objects.requireNonNull(Configuration.cfg.getConfigurationSection("api")).getString("whitelist");
            whitelistEndpoint = URI.create(getBaseUrl() + Objects.requireNonNull(configValue));
        }
        return whitelistEndpoint;
    }

    public static URI getReportEndpoint() {
        if(reportEndpoint == null) {
            String configValue = Objects.requireNonNull(Configuration.cfg.getConfigurationSection("api")).getString("report");
            reportEndpoint = URI.create(getBaseUrl() + Objects.requireNonNull(configValue));
        }
        return reportEndpoint;
    }
}
